Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | METHOD | DETAIL: FIELD | METHOD

## org.gradle.language.base
[Java] Interface BinaryContainer

    org.gradle.api.NamedDomainObjectSet
      org.gradle.api.PolymorphicDomainObjectContainer
          org.gradle.api.ExtensiblePolymorphicDomainObjectContainer
              java.lang.Iterable
                  org.gradle.api.NamedDomainObjectCollection
                      org.gradle.api.DomainObjectCollection
                          org.gradle.util.Configurable
                              org.gradle.language.base.BinaryContainer
                                  java.util.Collection
                                      org.gradle.api.NamedDomainObjectContainer

All Superinterfaces:
  NamedDomainObjectSet, PolymorphicDomainObjectContainer, ExtensiblePolymorphicDomainObjectContainer, Iterable, NamedDomainObjectCollection, DomainObjectCollection, Configurable, Collection, NamedDomainObjectContainer

    @Incubating
    public interface BinaryContainer
    extends ExtensiblePolymorphicDomainObjectContainer

A container for project binaries, which represent physical artifacts that can run on a particular platform or runtime. Added to a project by the LanguageBasePlugin.

Method Summary

Methods inherited from interface ExtensiblePolymorphicDomainObjectContainer
registerBinding, registerFactory, registerFactory

Methods inherited from interface PolymorphicDomainObjectContainer
create, create

Methods inherited from interface NamedDomainObjectContainer
configure, create, create, create, maybeCreate

Methods inherited from interface NamedDomainObjectSet
findAll, matching, matching, withType

Gradle API 1.10